%global pgmajorversion 90
%global pginstdir /usr/pgsql-9.0
%global sname pgsphere

Summary:	R-Tree implementation using GiST for spherical objects
Name:           %{sname}%{pgmajorversion}
Version:	1.1.1
Release:	1%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/2558/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/pgsphere
BuildRequires:	postgresql%{pgmajorversion}-devel
Requires:	postgresql%{pgmajorversion}-server
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
pgSphere is a server side module for PostgreSQL. It contains methods for 
working with spherical coordinates and objects. It also supports indexing of 
spherical objects.

%prep
%setup -q -n %{sname}-%{version}

%build
make USE_PGXS=1 PG_CONFIG=%{pginstdir}/bin/pg_config %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make USE_PGXS=1 PG_CONFIG=%{pginstdir}/bin/pg_config %{?_smp_mflags} install DESTDIR=%{buildroot}
mv %{buildroot}/%{_docdir}/pgsql/contrib/*.pg_sphere %{buildroot}/%{pginstdir}/share/contrib/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-)
%{pginstdir}/lib/pg_sphere.so
%{pginstdir}/share/contrib/pg_sphere.sql
%doc %{pginstdir}/share/contrib/COPYRIGHT.pg_sphere
%doc %{pginstdir}/share/contrib/README.pg_sphere

%changelog
* Tue Oct 12 2010 - Devrim GUNDUZ <devrim@gunduz.org> 1.1.1-1
- Update to 1.1.1
- Apply 9.0 specific changes

* Tue Jul 28 2009 - Devrim GUNDUZ <devrim@commandprompt.com> 1.1.0-1
- Update to 1.1.0

* Tue Dec 2 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.0.1-2
- Fixes for f-10

* Wed Aug 20 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.0.1-1
- Update to 1.0.1

* Wed Apr 9 2008 - Devrim GUNDUZ <devrim@commandprompt.com> 1.0.0-1
- Initial RPM packaging for Fedora
